%{?nodejs_find_provides_and_requires}

%global packagename buffertools
%global enable_tests 1

Name:		nodejs-buffertools
Version:	2.1.3
Release:	2%{?dist}
Summary:	Working with node.js buffers made easy

License:	ISC
URL:		https://github.com/bnoordhuis/node-buffertools
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	node-gyp
BuildRequires:	nodejs-devel
%endif

%description
Working with node.js buffers made easy.


%prep
%setup -q -n package

%build
export CXXFLAGS="%{optflags}"
node-gyp rebuild

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%__nodejs test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Tue Jan 19 2016 Jared Smith <jsmith@fedoraproject.org> - 2.1.3-2
- Fix minor packaging issue for package review

* Thu Oct 22 2015 Jared Smith <jsmith@fedoraproject.org> - 2.1.3-1
- Initial packaging
